#!/usr/bin/perl
use strict;
use warnings;
use File::Find;
use File::Copy 'cp';

my @files=();
sub getfiles{
    if(! -d $File::Find::name){push(@files,$File::Find::name);}
}

my $dir=".";
if($ARGV[0]){$dir=$ARGV[0];}
find(\&getfiles, $dir);
foreach my $file(@files){
    open(my $fh,"<",$file);
    sysread($fh,my $head,15);
    close($fh);
    if($head eq "SQLite format 3"){
        cp($file,$file.".orig");
        unlink($file); #in this way we avoid file lock
        system(qq(sqlite3 "$file.orig" .dump | sqlite3 "$file"));
        unlink($file.".orig");
        print $file."\n";
    }
}
